#ifndef INCLUDED_VIEWER_PS3
#define INCLUDED_VIEWER_PS3

#include "fb.h"
#include "types.h"
#include "ps3fb/cp_vt.h"
#include "ps3fb/cp_fb.h"

#include "ViewerDevice.h"

class ViewerPS3 : public ViewerDevice {
public:
    ViewerPS3(TaskManager *manager) {};
    ViewerPS3();
    virtual ~ViewerPS3();

    ScreenInfo screen_info ;
    cp_vt vt;
    cp_fb fb;
    uint32_t frame_ndx;

    ScreenInfo get_fbdev_addr();

    /* override function */
    uint32_t *video_init(TaskManager *manager, int bpp, int width, int height);
    void clean_pixels(void);
    void clear_screen();
    void free_device();
    uint32_t* flip_screen(uint32_t *);

};

#endif
